> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List categories



## OpenAPI

````yaml api-reference/openapi.json get /categories
openapi: 3.1.0
info:
  title: WavMaker API
  description: ''
  version: 1.0.0
servers:
  - url: https://www.wavmaker.com/api/v1
    description: Prod Env
security:
  - bearerToken: []
tags:
  - name: Songs
  - name: Categories
  - name: Cue Packs
  - name: Artists
paths:
  /categories:
    get:
      tags:
        - Categories
      summary: List categories
      operationId: list-categories
      parameters:
        - name: type
          in: query
          description: ''
          required: false
          example: genre
          schema:
            type: string
            enum:
              - genre
              - mood
              - theme
              - instrument
        - name: page
          in: query
          description: The page number to return
          required: false
          schema:
            type: integer
        - name: limit
          in: query
          description: The number of hits to return per page
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: integer
                    description: Current page number
                  pages:
                    type: integer
                    description: Total number of pages
                  page_size:
                    type: integer
                    description: Total number of hits per page
                  total:
                    type: integer
                    description: Total number of hits
                  hits:
                    type: array
                    items:
                      $ref: '#/components/schemas/Category'
                required:
                  - page
                  - pages
                  - page_size
                  - total
                  - hits
              example:
                page: 1
                pages: 4
                page_size: 20
                total: 77
                hits:
                  - id: 80s-pop
                    type: genre
                    name: 80s Pop
                  - id: acoustic
                    type: genre
                    name: Acoustic
                  - id: adult-contemporary
                    type: genre
                    name: Adult Contemporary
                  - id: african
                    type: genre
                    name: African
                  - id: alternative-hip-hop
                    type: genre
                    name: Alternative Hip Hop
                  - id: alternative-r-b
                    type: genre
                    name: Alternative R&B
                  - id: alternative-rock
                    type: genre
                    name: Alternative Rock
                  - id: ambient
                    type: genre
                    name: Ambient
                  - id: asian
                    type: genre
                    name: Asian
                  - id: bluegrass
                    type: genre
                    name: Bluegrass
                  - id: blues
                    type: genre
                    name: Blues
                  - id: blues-rock
                    type: genre
                    name: Blues Rock
                  - id: bossa-nova
                    type: genre
                    name: Bossa Nova
                  - id: breakbeat
                    type: genre
                    name: Breakbeat
                  - id: celtic
                    type: genre
                    name: Celtic
                  - id: cinematic
                    type: genre
                    name: Cinematic
                  - id: classical
                    type: genre
                    name: Classical
                  - id: classic-rock
                    type: genre
                    name: Classic Rock
                  - id: contemporary-pop
                    type: genre
                    name: Contemporary Pop
                  - id: country
                    type: genre
                    name: Country
          headers: {}
      deprecated: false
      security:
        - bearerToken: []
components:
  schemas:
    Category:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - genre
            - mood
            - theme
            - instrument
        name:
          type: string
      required:
        - id
        - type
        - name
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer

````